fop 1.1

## org.apache.fop.afp.fonts
Class AFPFontInfo

    java.lang.Object
      org.apache.fop.afp.fonts.AFPFontInfo

    public class AFPFontInfo

extends java.lang.Object

FontInfo contains meta information on fonts

Constructor Summary
`AFPFontInfo(AFPFont afpFont, java.util.List<FontTriplet> tripletList)` Main constructor

Method Summary
`AFPFont` `getAFPFont()` Returns the afp font
`java.util.List<FontTriplet>` `getFontTriplets()` Returns the list of font triplets associated with this font.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPFontInfo

    public AFPFontInfo(AFPFont afpFont,
                       java.util.List<FontTriplet> tripletList)

  Main constructor

  Parameters:
    `afpFont` - The AFP Font
    `tripletList` - List of font triplets to associate with this font

Method Detail

### getAFPFont

    public AFPFont getAFPFont()

  Returns the afp font

  Returns:
    the afp font

### getFontTriplets

    public java.util.List<FontTriplet> getFontTriplets()

  Returns the list of font triplets associated with this font.

  Returns:
    List of font triplets

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.